<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>add()
: <a class="el" href="class_database.html#a904f8a7375009e5266c9ca3087506420">Database&lt; T &gt;</a>
</li>
<li>addBook()
: <a class="el" href="class_admin.html#a4a64c486c9db82942a3cf2b9591d43bc">Admin</a>
, <a class="el" href="class_library.html#ae18b352bb538f8f7bbef5eba963feec6">Library</a>
</li>
<li>addBookToWishList()
: <a class="el" href="class_user.html#a9647677311d12cea36d96591f31237c6">User</a>
</li>
<li>addId()
: <a class="el" href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">OAuth</a>
</li>
<li>addItem()
: <a class="el" href="class_admin_books_library_manager.html#af7c3f0506e8879bd59cfdcd40b77b201">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_library_manager.html#a963a092b054b3b7415e54d2eca4f8d40">AdminLibraryManager</a>
, <a class="el" href="class_admin_users_library_manager.html#a840999765e03c776542d26810fb9dce4">AdminUsersLibraryManager</a>
</li>
<li>addNewBookToLibrary()
: <a class="el" href="class_book_adder_dialog.html#a6bf1cd8438202fc202db47356ad97f81">BookAdderDialog</a>
</li>
<li>addNewUser()
: <a class="el" href="class_user_adder_dialog.html#abed48a584fce170c45d7dead59c76323">UserAdderDialog</a>
</li>
<li>addRef()
: <a class="el" href="class_reference_counter.html#aeb051a137eaf2caa97d3a22cb37f3ce1">ReferenceCounter</a>
</li>
<li>addToOrRemoveFromWishListBook()
: <a class="el" href="class_book_manager_dialog.html#af004bfc3364e9178a2a50b1089046dd3">BookManagerDialog</a>
</li>
<li>addUser()
: <a class="el" href="class_admin.html#abdb263f503e23f5ef2bbf140092b305e">Admin</a>
, <a class="el" href="class_library.html#ad6479360c5ecb4592ab7df4cedc1d331">Library</a>
</li>
<li>Admin()
: <a class="el" href="class_admin.html#a7538bc53c81d7a23fcec717fe67d7368">Admin</a>
</li>
<li>AdminBooksLibraryManager()
: <a class="el" href="class_admin_books_library_manager.html#a462bf404e007cdae1fad2fd94f6c90f3">AdminBooksLibraryManager</a>
</li>
<li>AdminDialog()
: <a class="el" href="class_admin_dialog.html#a45c7f0c8881a0ea2a04d6bc3b282ccdc">AdminDialog</a>
</li>
<li>AdminLibraryManager()
: <a class="el" href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager</a>
</li>
<li>AdminUsersLibraryManager()
: <a class="el" href="class_admin_users_library_manager.html#ae46c10ae7a89c79a4121db0e17573033">AdminUsersLibraryManager</a>
</li>
<li>App()
: <a class="el" href="class_app.html#acb8cbf3e285b91d0170ffe87df5989c5">App</a>
</li>
<li>applySettings()
: <a class="el" href="class_user_editor_dialog.html#a0135cdcf9cd33c3a76cda672f7f6f20d">UserEditorDialog</a>
</li>
<li>authenticate()
: <a class="el" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">OAuth</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
